Re: error when gpxe load
hogat allah shahamiri <[email protected]>
| Newsgroups | gmane.network.etherboot.user |
|---|---|
| Message-ID | <[email protected]> |
Hi
i test what you want . and this result :
-------------
user@pelican:~$ sudo ls /var/lib/tftpboot
debian-live pxelinux.0 pxelinux.cfg Sunset
user@pelican:~$
-------------
user@pelican:~$ ps aux | grep tftpd
user 4176 0.0 0.2 3000 692 pts/0 R+ 03:08 0:00 grep tftpd
user@pelican:~$ ps aux | grep tftp
user 4180 0.0 0.2 3000 696 pts/0 R+ 03:08 0:00 grep tftp
user@pelican:~$
-------------
-------------dhcpd.conf
# global settings
allow booting;
allow bootp;
default-lease-time 600;
max-lease-time 7200;
subnet 10.11.12.0 netmask 255.255.255.0 {
next-server 10.11.12.1;
filename "pxelinux.0";
option subnet-mask 255.255.255.0;
range 10.11.12.2 10.11.12.100;
}
---------------inetd.conf
tftp dgram udp4 wait nobody /usr/sbin/tcpd /usr/sbin/in.tftpd
--tftpd-timeout 300 --retry-timeout 5 --mcast-port 1758 --mcast-addr
239.239.239.0-255 --mcast-ttl 1 --maxthread 100 --verbose=5
/var/lib/tftpboot
---------------dhclient.conf
option rfc3442-classless-static-routes code 121 = array of unsigned integer 8;
request subnet-mask, broadcast-address, time-offset, routers,
domain-name, domain-name-servers, domain-search, host-name,
netbios-name-servers, netbios-scope, interface-mtu,
rfc3442-classless-static-routes;
---------------/etc/inet.d/atftpd
#! /bin/sh
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/atftpd
NAME=atftpd
DESC="Advanced TFTP server"
USE_INETD=true
OPTIONS=""
test -f $DAEMON || exit 0
set -e
if [ -f /etc/default/atftpd ]; then
. /etc/default/atftpd
fi
if [ "$USE_INETD" = "true" ]; then
exit 0;
fi
case "$1" in
start)
echo -n "Starting $DESC: "
start-stop-daemon --start --oknodo --quiet --exec $DAEMON -- $OPTIONS
echo "$NAME."
;;
stop)
echo -n "Stopping $DESC: "
start-stop-daemon --stop --oknodo --quiet --exec $DAEMON
echo "$NAME."
;;
restart|reload|force-reload)
echo -n "Restarting $DESC: "
start-stop-daemon --stop --oknodo --quiet --exec $DAEMON
sleep 1
start-stop-daemon --start --oknodo --quiet --exec $DAEMON -- $OPTIONS
echo "$NAME."
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
exit 1
;;
esac
exit 0
--------------------/etc/inet.d/dhcp3-server
#!/bin/sh
PATH=/sbin:/bin:/usr/sbin:/usr/bin
test -f /usr/sbin/dhcpd3 || exit 0
# It is not safe to start if we don't have a default configuration...
if [ ! -f /etc/default/dhcp3-server ]; then
echo "/etc/default/dhcp3-server does not exist! - Aborting..."
echo "Run 'dpkg-reconfigure dhcp3-server' to fix the problem."
exit 0
fi
. /lib/lsb/init-functions
# Read init script configuration (so far only interfaces the daemon
# should listen on.)
. /etc/default/dhcp3-server
NAME=dhcpd3
DESC="DHCP server"
DHCPDPID=/var/run/dhcpd.pid
test_config()
{
if ! /usr/sbin/dhcpd3 -t > /dev/null 2>&1; then
echo "dhcpd self-test failed. Please fix the config file."
echo "The error was: "
/usr/sbin/dhcpd3 -t
exit 1
fi
}
# single arg is -v for messages, -q for none
check_status()
{
if [ ! -r "$DHCPDPID" ]; then
test "$1" != -v || echo "$NAME is not running."
return 3
fi
if read pid < "$DHCPDPID" && ps -p "$pid" > /dev/null 2>&1; then
test "$1" != -v || echo "$NAME is running."
return 0
else
test "$1" != -v || echo "$NAME is not running but $DHCPDPID exists."
return 1
fi
}
case "$1" in
start)
test_config
log_daemon_msg "Starting $DESC" "$NAME"
start-stop-daemon --start --quiet --pidfile $DHCPDPID \
--exec /usr/sbin/dhcpd3 -- -q $INTERFACES
sleep 2
if check_status -q; then
log_end_msg 0
else
log_failure_msg "check syslog for diagnostics."
log_end_msg 1
exit 1
fi
;;
stop)
log_daemon_msg "Stopping $DESC" "$NAME"
start-stop-daemon --stop --quiet --pidfile $DHCPDPID
log_end_msg $?
rm -f "$DHCPDPID"
;;
restart | force-reload)
test_config
$0 stop
sleep 2
$0 start
if [ "$?" != "0" ]; then
exit 1
fi
;;
status)
echo -n "Status of $DESC: "
check_status -v
exit "$?"
;;
*)
echo "Usage: $0 {start|stop|restart|force-reload|status}"
exit 1
esac
exit 0
------------------/var/lib/tftpboot/pxelinux.cfg/default
include debian-live/i386/boot-screens/header.cfg
include debian-live/i386/boot-screens/menu.cfg
include debian-live/i386/boot-screens/footer.cfg
------------------
well , i install tftp client and server in one pc with WindowsXP os .
and set ip of pelican hpc (linux that run dhcp server and tftp server)
means '10.11.12.1' for client and server tftp on windowsxp then i could to
get pxelinux.0 from linux tftp server with client and send one file
withe tftp server on widows
to linux os and i could see it on /var/lib/tftpboot/
this means tftp can communicate and it work well .
on linux that run tftp server :
#cat ~/tmp/bohsts
10.11.12.1
#
this error when i boot with gpxe :
net0:00:15:f2:08:a2:c0 no PCI 02:05.0 (open)[Link:up TX0 TXE:0 RX:0
RXE:0 ] waiting for Linkup on eth0 ... ok
net0:10.11.12.3/255.255.255.0 gw 0.0.0.0
Booting from filename "pxelinux.0"
tftp://10.11.12.1/pxelinux.0 ... connection time out (0x4c126035)
could not load tftp://10.11.12.1/pxelinux.0 :connection time out (0x4c126035)
no more Network Device
what is problem ? what i should to do ?
i am in wait and press .
best regard
Hogat
------------------------------------------------------------------------------
Come build with us! The BlackBerry® Developer Conference in SF, CA
is the only developer event you need to attend this year. Jumpstart your
developing skills, take BlackBerry mobile applications to market and stay
ahead of the curve. Join us from November 9-12, 2009. Register now!
http://p.sf.net/sfu/devconf